ParhainHinta.fi
NETGEAR GS748-100EUS - Hallitsematon 48-porttinen Gigabit Ethernet -kytkin, Harmaa
NETGEAR

NETGEAR GS748-100EUS - Hallitsematon 48-porttinen Gigabit Ethernet -kytkin, Harmaa

Compare this product across 2 stores. Lowest product price now 421,00 €.

Latest price observation: 19/10/2026, 07.14

Kytkin, hallitsematon, 48 x 10/100/1000, työpöytä, seinään asennettava

In stock
Lowest product price

421,00 €

Proshop

Lowest tracked price: 421,00 €

Is now a good time to buy?

Good price

The current price is lower than usual based on observed price history.

Now

421,00 €

Typical 90 days

425,90 €

90-day low

421,00 €

Now about 1% below the typical observed price.

Based on 41 product-price observations by ParhainHinta. This is price analysis, not a merchant-advertised discount.

See all 2 offers

NETGEAR GS748-100EUS - Hallitsematon 48-porttinen Gigabit Ethernet -kytkin, Harmaa price trend

Price history · 41 tracked days

The observed product price has stayed flat during the tracked period.

Price history shows the lowest observed product price for each day. Delivery costs are not included.

Lowest observed product price

421,00 €

Average product price

424,43 €

Highest observed product price

425,90 €

Compare prices

StoreProduct priceAvailabilityUpdated
1Proshop421,00 €30-day observed low: 421,00 €All-time observed low: 421,00 €Unknown19/10/2026, 07.14Go to store
2Multitronic425,90 €All-time observed low: 425,90 €In stock09/09/2026, 00.22Go to store
Showing 2 / 2 offers

The 30-day and all-time lows are ParhainHinta.fi observations for that merchant. They are not, by themselves, the merchant's statutory reference price for discount advertising.

Specifications

Authentication method
802.1x
Basic switching RJ-45 Ethernet ports quantity
48
Basic switching RJ-45 Ethernet ports type
Gigabit Ethernet (10/100/1000)
Compliance certificates
Federal Communications Commission (FCC)
Connectivity technology
Wired
Copper ethernet cabling technology
10BASE-T
Depth
202 mm
Electromagnetic emissions
CE mark, FCC Part 15 Class A, VCCI Class A, C-Tick
Ethernet LAN data rates
1000 Mbit/s
Flow control support
Yes
Full duplex
Yes
Height
43 mm
I/O ports
48 x 10/100/1000 Mbps 4 x SFP
Jumbo frames
9.216
Jumbo frames support
Yes
Latency
2,900ns
Link aggregation
Yes
MAC address table
8000 entries
Maximum data transfer rate
1 Gbit/s
Mean time between failures (MTBF)
1094297 h
MIB support
RFC 1213 MIB II, RFC 1643, RFC 1493
Networking standards
IEEE 802.1p, IEEE 802.3az
Operating relative humidity (H-H)
10 - 90%
Operating temperature (T-T)
0 - 50 °C
EAN / GTIN
606449174892

Similar products